%define oname   jruby-pageant

Name:       ruby-%{oname}
Version:    1.1.1
Release:    %mkrel 9
Summary:    Allows Pageant access on JRuby + Windows
License:    Creative Commons Attribution
Group:      Development/Ruby
URL:        http://github.com/arturaz/jruby-pageant
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
This is a convenience gem packaging required for JNA/JSCH jars.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib-fake
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-9.mga5
+ Revision: 744092
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-8.mga5
+ Revision: 688845
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.1.1-7.mga4
+ Revision: 561991
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.1.1-6.mga4
+ Revision: 561367
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-5.mga4
+ Revision: 535916
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1.1.1-4.mga4
+ Revision: 482812
- rebuild for ruby 2.0

* Fri Feb 08 2013 umeabot <umeabot> 1.1.1-4.mga3
+ Revision: 396106
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 381068
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.1.1-2.mga3
+ Revision: 313089
- rebuild for new ruby

* Sun Aug 12 2012 shlomif <shlomif> 1.1.1-1.mga3
+ Revision: 280897
- Correct typo (.src.rpm thanks to aghero
- imported package ruby-jruby-pageant

